# pydicom.values.multi_string

pydicom.values.multi_string(val: str, valtype: Callable[[str], _T] | None = None) → _T | MutableSequence[_T]

  Split a string by delimiters if there are any

  Parameters:

    - val (str) – The string to split up.

    - valtype (type or callable, optional) – Default `str`, but can be e.g. `UID` to overwrite to a specific type.

  Returns:

    The split value as valtype or a `MultiValue` of valtype.

  Return type:

    valtype or MultiValue[valtype]